import ng_openstack.keystone
import os
import json


# import ng_openstack
from ng_openstack.logger import log

log.info("Starting")
myOpenstack=ng_openstack.OpenstackConnection()
myOpenstack.keystone.getCatalog()


allProjects=myOpenstack.keystone.getAllProjects()
testProjectName="SmokeTest"
testProjectExists=False

#Does my test project ID already exist?
for _project in allProjects['projects']:
    if _project['name']==testProjectName:
        testProjectExists=True



if testProjectExists:
    log.error("Project already exists")
else:
    # Create test project
    log.info("{} project does not exist, creating".format(testProjectName))
    myOpenstack.keystone.createProject(testProjectName,"Description goes here")

